token=$1

series='bionic'
instance_name="test-1951954"
sshopts=( -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null -o LogLevel=ERROR )

# set the VM instance up
multipass launch daily:$series --name $instance_name
multipass exec $instance_name -- sh -c "sudo apt-get update"
multipass exec $instance_name -- sh -c "sudo apt-get upgrade --assume-yes"


# reproduce the error
multipass exec $instance_name -- sh -c "sudo ua attach $token"
echo "------------ERROR LINES--------------"
multipass exec $instance_name -- sh -c "sudo env PATH=\"/usr/bin\" ua refresh"
echo "-------------------------------------"

# update ubuntu-advantage-tools from proposed
multipass exec $instance_name -- sh -c "echo \"deb http://archive.ubuntu.com/ubuntu/ $series-proposed restricted main multiverse universe\" | sudo tee -a /etc/apt/sources.list"

multipass exec $instance_name -- sh -c "sudo apt-get update"
multipass exec $instance_name -- sh -c "sudo apt-get --only-upgrade install ubuntu-advantage-tools --assume-yes"

# check the error is gone
echo "------------NO ERROR-----------------"
multipass exec $instance_name -- sh -c "sudo env PATH=\"/usr/bin\" ua refresh"
echo "-------------------------------------"


# cleanup
multipass delete $instance_name
multipass purge
